## janest-core 0.5.0

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

ifeq ($(shell uname -s), Linux)
  LINUX_EXT_STUBS_C = linux_ext_stubs.c
  LINUX_EXT_ML = linux_ext.ml
endif

SOURCES = \
  core_printf.mli \
  core_printf.ml \
  pretty_printer.mli \
  pretty_printer.ml \
  caml.ml \
  monad.ml \
  stringable.ml \
  sexpable.ml \
  core_hashtbl.mli \
  core_hashtbl.ml \
  container.ml \
  option.mli \
  option.ml \
  doubly_linked.mli \
  doubly_linked.ml \
  hash_queue.ml \
  hash_set.ml \
  hashable.ml \
  binable.ml \
  floatable.ml \
  robustly_comparable.ml \
  setable.ml \
  comparable.ml \
  interfaces.ml \
  core_sexp.mli \
  core_sexp.ml \
  result.mli \
  result.ml \
  ordered_collection_common.ml \
  core_char.mli \
  core_char.ml \
  pSet.mli \
  pSet.ml \
  core_string.mli \
  core_string.ml \
  in_channel.mli \
  in_channel.ml \
  exn.mli \
  exn.ml \
  core_mutex.mli \
  core_mutex.ml \
  float.mli \
  float.ml \
  core_list.mli \
  core_list.ml \
  pMap.mli \
  pMap.ml \
  common.mli \
  common.ml \
  core_array.mli \
  core_array.ml \
  word_size.mli \
  word_size.ml \
  int_conversions.ml \
  int_intf.ml \
  core_int.mli \
  core_int.ml \
  core_int32.mli \
  core_int32.ml \
  core_int64.mli \
  core_int64.ml \
  unix_ext.mli \
  unix_ext.ml \
  core_unix.mli \
  core_unix.ml \
  core_queue.mli \
  core_queue.ml \
  core_stack.mli \
  core_stack.ml \
  core_sys.ml \
  core_nativeint.mli \
  core_nativeint.ml \
  std_internal.ml \
  unique_id.ml \
  month.mli \
  month.ml \
  time.mli \
  time.ml \
  OUnit_utils.ml \
  backtrace.ml \
  bag.mli \
  bag.ml \
  bigstring.mli \
  bigstring.ml \
  bigbuffer.mli \
  bigbuffer.ml \
  binary_packing.mli \
  binary_packing.ml \
  bool.mli \
  bool.ml \
  bucket.ml \
  core_arg.mli \
  core_arg.ml \
  core_filename.mli \
  core_filename.ml \
  crc.mli \
  crc.ml \
  dequeue.mli \
  dequeue.ml \
  error_check.ml \
  fast_hashtbl.mli \
  fast_hashtbl.ml \
  force_once.mli \
  force_once.ml \
  fqueue.mli \
  fqueue.ml \
  heap.mli \
  heap.ml \
  thread_safe_queue.mli \
  thread_safe_queue.ml \
  interned.ml \
  interval.mli \
  interval.ml \
  interval_set.mli \
  interval_set.ml \
  linebuf.ml $(LINUX_EXT_ML) \
  squeue.mli \
  squeue.ml \
  memo.mli \
  memo.ml \
  piecewise_linear.mli \
  piecewise_linear.ml \
  quickcheck.ml \
  timer.mli \
  timer.ml \
  tuple.mli \
  tuple.ml \
  core_gc.mli \
  core_gc.ml \
  out_channel.mli \
  out_channel.ml \
  space_safe_tuple.mli \
  space_safe_tuple.ml \
  size.mli \
  size.ml \
  ref.mli \
  ref.ml \
  std.ml bigstring_stubs.c $(LINUX_EXT_STUBS_C) \
  misc.c \
  ml_backtrace.c \
  ocaml_utils_stubs.c \
  unix_ext_stubs.c

LIB_PACK_NAME = core
INCDIRS = +camlp4 .
OCAMLFLAGS = -for-pack Core -dtypes
CFLAGS = \
  -pipe -g -fPIC -O2 -fomit-frame-pointer \
  -Wall -pedantic -Wextra -Wunused -Wno-long-long
PACKS = res sexplib bin_prot
RESULT = core
THREADS = yes
ANNOTATE = true

all: byte-code-library native-code-library

LIBINSTALL_FILES = \
  core.cmi core.cma core.cmxa core.a libcore_stubs.a dllcore_stubs.so

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== lib_test/Makefile ===
export OCAMLMAKEFILE = ../OCamlMakefile

export INCDIRS = ../lib
export LIBDIRS = ../lib
export LIBS = core
export PACKS = bigarray oUnit type-conv sexplib bin_prot res
export THREADS = yes
ANNOTATE = true

ifeq ($(shell uname -s), Darwin)
  export DARWIN = true
else
  LINUX_EXT_TEST = linux_ext_test.ml
  export LINUX = true
endif


define PROJ_sub1
  SOURCES = \
            bag_test.ml \
            bigstring_test.ml \
            bigbuffer_test.ml \
            binary_packing_test.ml \
            common_test.ml \
            comparable_test.ml \
            container_test.ml \
            core_array_test.ml \
            core_list_test.ml \
            core_queue_test.ml \
            core_string_speed_test.ml \
            core_string_test.ml \
            crc_test.ml \
            doubly_linked_test.ml \
            fqueue_test.ml \
            hash_queue_test.ml \
            hashtbl_test.ml \
            heap_test.ml \
            int_conversions_test.ml \
            interval_test.ml \
            $(LINUX_EXT_TEST) \
            pMap_test.ml \
            pSet_test.ml \
            time_test.ml \
            timer_test.ml \
            test.ml \
            test_runner.ml
  
  RESULT = test_runner.exe
  THREADS = yes
  ANNOTATE = true

endef
export PROJ_sub1

ifndef SUBPROJS
  export SUBPROJS = sub1
endif

all:	bc

%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

## janest-core 0.5.2

=== lib/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 ifeq ($(shell uname -s), Linux)
   LINUX_EXT_STUBS_C = linux_ext_stubs.c
   LINUX_EXT_ML = linux_ext.ml
+	CLIBS = rt
 endif
 
 SOURCES = \
@@ -149,9 +150,15 @@
   ocaml_utils_stubs.c \
   unix_ext_stubs.c
 
+ifeq ($(shell uname -s), Darwin)
+	export SEXPLIB_CPP = cc -E -no-cpp-precomp -x c
+else
+	export SEXPLIB_CPP = cpp
+endif
+
 LIB_PACK_NAME = core
 INCDIRS = +camlp4 .
-OCAMLFLAGS = -for-pack Core -dtypes
+OCAMLFLAGS = -for-pack Core -dtypes -annot
 CFLAGS = \
   -pipe -g -fPIC -O2 -fomit-frame-pointer \
   -Wall -pedantic -Wextra -Wunused -Wno-long-long

## janest-core 0.6.0

=== Makefile ===
.PHONY: all
all:
	@cd lib && $(MAKE)
	@cd extended && $(MAKE)

.PHONY:	install
install:
	@cd lib && $(MAKE) $@
	@cd extended && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@
	@cd extended && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@cd extended && $(MAKE) clean

=== extended/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

ifeq ($(shell uname -s), Linux)
  EXTENDED_LINUX_STUBS_C = extended_linux_stubs.c
  EXTENDED_LINUX_ML = extended_linux.mli extended_linux.ml
  MALLOC_ML = malloc.mli malloc.ml
	MALLOC_STUBS_C = malloc_stubs.c
	PROCFS_ML = procfs.ml procfs.mli
endif

SOURCES = \
	pp.mli \
	pp.ml \
  extended_sexp.mli \
	extended_sexp.ml \
  extended_unix.mli \
	extended_unix.ml \
	extended_string.mli \
	extended_string.ml \
	extended_result.mli \
	extended_result.ml \
	extended_option.mli \
	extended_option.ml \
	extended_list.mli \
	extended_list.ml \
	$(EXTENDED_LINUX_ML) \
	extended_gc.mli \
	extended_gc.ml \
	extended_float.mli \
	extended_float.ml \
	extended_filename.mli \
	extended_filename.ml \
	extended_exn.mli \
	extended_exn.ml \
	extended_array.mli \
	extended_array.ml \
	exception_check.mli \
	exception_check.ml \
  vector.mli \
  vector.ml \
  unix_utils.mli \
  unix_utils.ml \
  union_find.mli \
  union_find.ml \
  syslog.mli \
  syslog.ml \
  process.mli \
	process.ml \
  shell.mli \
	shell.ml \
	extended_common.mli \
	extended_common.ml \
  sendmail.mli \
  sendmail.ml \
  semaphore.mli \
  semaphore.ml \
  rw_mutex.mli \
  rw_mutex.ml \
  rmap.mli \
  rmap.ml \
  res_array.mli \
  res_array.ml \
  readline.mli \
  readline.ml \
  prompt.mli \
  prompt.ml \
	$(PROCFS_ML) \
  ocaml_utils.mli \
  ocaml_utils.ml \
  net_utils.mli \
  net_utils.ml \
	$(MALLOC_ML) \
  lru.mli \
  lru.ml \
  loggers.mli \
  loggers.ml \
  logger.mli \
  logger.ml \
  iter.mli \
  iter.ml \
  int_set.mli \
  int_set.ml \
  hashtree.mli \
  hashtree.ml \
  function.mli \
  function.ml \
  fold_table.mli \
  fold_map.mli \
  fold_map.ml \
  find.mli \
  find.ml \
  escaping.mli \
  escaping.ml \
  dispatch_arg.mli \
  dispatch_arg.ml \
  container_extended.ml \
  command.mli \
  command.ml \
  cbuffer.mli \
  cbuffer.ml \
  std.ml \
	$(EXTENDED_LINUX_STUBS_C) extended_unix_stubs.c  $(MALLOC_STUBS_C)  ocaml_utils_stubs.c  syslog_stubs.c

LIB_PACK_NAME = core_extended
INCDIRS = +camlp4 . ../lib
OCAMLFLAGS = -for-pack Core_extended -dtypes
OCAMLLDFLAGS = -g
CFLAGS = \
  -pipe -g -fPIC -O2 -fomit-frame-pointer \
  -Wall -pedantic -Wextra -Wunused -Wno-long-long
PACKS = res sexplib bin_prot fieldslib pcre
RESULT = core_extended
THREADS = yes
ANNOTATE = true

all: byte-code-library native-code-library

LIBINSTALL_FILES = \
  core_extended.cmi core_extended.cma core_extended.cmxa core_extended.a libcore_extended_stubs.a dllcore_extended_stubs.so

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== extended_test/Makefile ===
export OCAMLMAKEFILE = ../OCamlMakefile

export INCDIRS = ../extended ../lib
export LIBDIRS = ../extended ../lib
export LIBS = core core_extended
export PACKS = bigarray oUnit type-conv sexplib bin_prot res fieldslib pcre
export THREADS = yes
ANNOTATE = true

ifeq ($(shell uname -s), Linux)
  EXTENDED_LINUX_TEST_ML = extended_linux_test.ml
endif

define PROJ_sub1
  SOURCES = \
    cbuffer_test.ml \
    condition_test.ml \
    $(EXTENDED_LINUX_TEST_ML) \
    escaping_test.ml \
    extended_array.ml \
    extended_float.ml \
    extended_list.ml \
    extended_string.ml \
    int_set_test.ml \
    iter_test.ml \
    lru_test.ml \
		rmap_test.ml \
    shell_test.ml \
    union_find_test.ml \
    test.ml \
		test_runner.ml \
  
  RESULT = test_runner.exe
  THREADS = yes
  ANNOTATE = true
  #OCAMLFLAGS = -g
  OCAMLLDFLAGS = -g

endef
export PROJ_sub1

ifndef SUBPROJS
  export SUBPROJS = sub1
endif

all:	bc

%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

ifeq ($(shell uname -s), Linux)
  LINUX_EXT_STUBS_C = linux_ext_stubs.c
  LINUX_EXT_ML = linux_ext.mli linux_ext.ml
	CLIBS += rt
endif

SOURCES = \
	float_robust_compare.ml \
  core_printf.mli \
  core_printf.ml \
  pretty_printer.mli \
  pretty_printer.ml \
  caml.ml \
  monad.ml \
  stringable.ml \
  sexpable.ml \
  container.ml \
  option.mli \
  option.ml \
  ordered_collection_common.mli \
	ordered_collection_common.ml \
	core_set_intf.ml \
	array_permute.ml \
  core_array.mli \
	core_array.ml \
	core_set.mli \
	core_set.ml \
  core_list.mli \
	core_list.ml \
	core_hashtbl_intf.ml \
	core_hashtbl.mli \
	core_hashtbl.ml \
  doubly_linked.mli \
  doubly_linked.ml \
  hash_queue.ml \
  hash_set_intf.ml \
	hash_set.mli \
  hash_set.ml \
  heap.mli \
	heap.ml \
	hash_heap.ml \
  hashable.ml \
  binable.ml \
  floatable.ml \
  robustly_comparable.ml \
	core_map_intf.ml \
	core_map.mli \
	core_map.ml \
  comparable.ml \
  interfaces.ml \
  core_sexp.mli \
  core_sexp.ml \
  result.mli \
  result.ml \
  core_char.mli \
  core_char.ml \
  core_string.mli \
  core_string.ml \
  in_channel.mli \
  in_channel.ml \
  exn.mli \
  exn.ml \
  float.mli \
  float.ml \
  out_channel.mli \
	out_channel.ml \
  tuple.mli \
	tuple.ml \
  space_safe_tuple.mli \
	space_safe_tuple.ml \
  word_size.mli \
	word_size.ml \
  int_conversions.ml \
  core_int.mli \
	core_int.ml \
	core_int32.mli \
	core_int32.ml \
  core_int64.mli \
	core_int64.ml \
  core_int63.mli \
	core_int63.ml \
	signal.mli \
	signal.ml \
	terminal_io_intf.ml \
  core_unix.mli \
	core_unix.ml \
  core_filename.mli \
	core_filename.ml \
	mutex0.ml \
	function.mli \
	function.ml \
  common.mli \
  common.ml \
  int_intf.ml \
  unix_ext.mli \
  unix_ext.ml \
  core_queue.mli \
  core_queue.ml \
  core_stack.mli \
  core_stack.ml \
	core_sys.mli \
  core_sys.ml \
  core_nativeint.mli \
  core_nativeint.ml \
  std_internal.ml \
	unique_id.mli \
  unique_id.ml \
	month.mli \
	month.ml \
	weekday.mli \
	weekday.ml \
  time.mli \
  time.ml \
  core_mutex.mli \
	core_mutex.ml \
  OUnit_utils.ml \
  backtrace.ml \
  bag.mli \
  bag.ml \
  bigstring.mli \
  bigstring.ml \
  bigbuffer.mli \
  bigbuffer.ml \
  binary_packing.mli \
  binary_packing.ml \
  bool.mli \
  bool.ml \
  bucket.ml \
  core_arg.mli \
  core_arg.ml \
  crc.mli \
  crc.ml \
  dequeue.mli \
  dequeue.ml \
	error_check.mli \
  error_check.ml \
  fast_hashtbl.mli \
  fast_hashtbl.ml \
  force_once.mli \
  force_once.ml \
  fqueue.mli \
  fqueue.ml \
  thread_safe_queue.mli \
  thread_safe_queue.ml \
	interval_intf.ml \
  interval.mli \
  interval.ml \
	linebuf.mli \
  linebuf.ml $(LINUX_EXT_ML) \
  squeue.mli \
  squeue.ml \
  memo.mli \
  memo.ml \
  piecewise_linear.mli \
  piecewise_linear.ml \
  quickcheck.ml \
  timer.mli \
  timer.ml \
  core_gc.mli \
  core_gc.ml \
  ref.mli \
  ref.ml \
	agnostic_mutex.mli \
	agnostic_mutex.ml \
	substring_intf.ml \
	make_substring.ml \
	bigsubstring.mli \
	bigsubstring.ml \
	byte_units.mli \
	byte_units.ml \
	core_condition.mli \
	core_condition.ml \
	core_thread.mli \
	core_thread.ml \
	daemon.mli \
	daemon.ml \
	int_set.mli \
	int_set.ml \
	core_field.ml \
	lock_file.mli \
	lock_file.ml \
	core_printexc.mli \
	core_printexc.ml \
	set_once.mli \
	set_once.ml \
	substring.ml \
	TZ.mli \
	TZ.ml \
	low_level_debug.mli \
	low_level_debug.ml \
  std.ml bigstring_stubs.c $(LINUX_EXT_STUBS_C) \
  misc.c \
  ocaml_utils_stubs.c \
  unix_stubs.c \
  unix_ext_stubs.c \
	signal_stubs.c \
  low_level_debug_stubs.c \

LIB_PACK_NAME = core
INCDIRS = +camlp4 .
OCAMLFLAGS = -for-pack Core -dtypes
CFLAGS = \
  -pipe -g -fPIC -O2 -fomit-frame-pointer \
  -Wall -pedantic -Wextra -Wunused -Wno-long-long
PACKS = res sexplib bin_prot fieldslib
RESULT = core
THREADS = yes
ANNOTATE = true

all: byte-code-library native-code-library

LIBINSTALL_FILES = \
  core.cmi core.cma core.cmxa core.a libcore_stubs.a dllcore_stubs.so

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== lib_test/Makefile ===
--- 
+++ 
@@ -3,23 +3,13 @@
 export INCDIRS = ../lib
 export LIBDIRS = ../lib
 export LIBS = core
-export PACKS = bigarray oUnit type-conv sexplib bin_prot res
+export PACKS = bigarray oUnit type-conv sexplib bin_prot res fieldslib
 export THREADS = yes
 ANNOTATE = true
-
-ifeq ($(shell uname -s), Darwin)
-  export DARWIN = true
-else
-  LINUX_EXT_TEST = linux_ext_test.ml
-  export LINUX = true
-endif
-
 
 define PROJ_sub1
   SOURCES = \
             bag_test.ml \
-            bigstring_test.ml \
-            bigbuffer_test.ml \
             binary_packing_test.ml \
             common_test.ml \
             comparable_test.ml \
@@ -32,16 +22,24 @@
             crc_test.ml \
             doubly_linked_test.ml \
             fqueue_test.ml \
+						filename_test.ml \
+						hash_heap_test.ml \
+						core_int_test.ml \
             hash_queue_test.ml \
             hashtbl_test.ml \
             heap_test.ml \
             int_conversions_test.ml \
             interval_test.ml \
-            $(LINUX_EXT_TEST) \
+						core_set_test.ml \
             pMap_test.ml \
             pSet_test.ml \
             time_test.ml \
             timer_test.ml \
+						TZ_test.ml \
+						int_set_test.ml \
+            core_float_test.ml \
+						core_mutex_test.ml \
+						core_map_test.ml \
             test.ml \
             test_runner.ml

## janest-core 107.01

=== debian/changelog ===
janest-core (107.01-5) unstable; urgency=low

  * Fix FTBFS on some architectures by forcing link with -lrt

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Nov 2011 08:02:17 +0100

janest-core (107.01-4) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release (Closes: #588095, #630670, #634565)
    - remove obsolete patches and debian/README.* files
    - remove references to core-extended (it is now distributed
      separately)
  * Switch source package format to 3.0 (quilt)
  * Switch to dh with overrides, bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2
  * Update debian/watch

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 16 Nov 2011 20:39:20 +0100

janest-core (0.6.0-3) unstable; urgency=low

  * Fix FTBFS with OCaml 3.12 (Closes: #585460)
    - 0006-Fix-Gc.stat-definition-in-core_gc.ml.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 21 Apr 2011 22:26:51 +0200

janest-core (0.6.0-2) unstable; urgency=low

  * Fix FTBFS on non-Linux platforms: Do not blindly remove lines starting
    with '#' but use upstream's "lib/pp.sh" and camlp4o.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 17 Dec 2009 13:36:17 +0100

janest-core (0.6.0-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
  * refresh and rename patches from debian/patches/:
    - 0001-bug-fix-libinstall-byte-code-should-not-depend-on-na
    - 0002-extra-targets-to-enable-compilation-of-byte-code-onl
    - 0003-add-missing-META-dep-on-unix
    - 0004-fix-build-on-kfreebsd
    - 0005-create-destdir-upon-install (new patch: ensure make mkdir dest)
  * debian/control:
    - add (new) build-dep on libfields-camlp4-dev
    - split 3 new binary packages:
      + libcore-extended-ocaml{,-dev} that contain Core_extended
        (rationale: large, more deps)
      + libcore-ocaml-doc that contains the ocamldoc HTML API reference
    - add build-dep on libpcre-ocaml-dev, required to build Core_extended
    - revamp Description (mention Core vs Core_extended difference)
  * debian/rules: switch {debhelper,ocaml}.mk to avoid *.log leftovers
  * switch packaging to dh-ocaml
  * debian/copyright:
    - bump copyright years
    - add MLton license, which applies to extended/union_find.ml
  * debian/README.Debian:
    - document how to use thread support with Core (for newbies)
    - add a pointer to the online ocamldoc API reference

  [ Mehdi Dogguy ]
  * enable generation of ocamldoc documentation (using dh_ocamldoc)
    - pre-processed some files just after build to avoid markup errors
    - set up appropriates flags in debian/*.ocamldoc files
  * add myself to uploaders

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 13 Nov 2009 00:12:41 +0100

janest-core (0.5.3-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New Upstream Version
  * Use quilt to patch upstream:
    - add README.source
    - add quilt to Build-Depends
    - transform existing direct changes to upstream into patches
  * Add 0004-Fix-build-on-kfreebsd.patch
  * debian/control:
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Add myself to Uploaders

  [ Stefano Zacchiroli ]
  * debian/copyright: point to versionful common license file

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 03:56:48 +0200

janest-core (0.5.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
  * rebuild with OCaml 3.11, bump needed build-deps
  * debian/control
    - bump Standards-Version to 3.8.1 (no change)
    - add build-dep on dh-ocaml (which ships the CDBS rules)
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet file

  [ Mehdi Dogguy ]
  * Fix watch file.

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Mar 2009 15:22:44 +0100

janest-core (0.5.0-5) unstable; urgency=medium

  * debian/README.Debian: clarify the bin-prot issue on some arch
  * get rid of the (unused) conditional quilt machinery (Closes: #485156)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Jul 2008 19:47:03 +0200

janest-core (0.5.0-4) unstable; urgency=low

  * change build-dep on bin-prot to non arch specific, as now bin-prot is used
    on all archs; fix FTBFS on archs other than i386, amd64

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Jun 2008 11:34:16 +0200

janest-core (0.5.0-3) unstable; urgency=low

  * uploading to unstable
  * disabling the arch-specific patch machinery to give a try to bin-prot
    Arch:any. In that package it has been documented what works properly on
    all archs and what does not.

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 14:04:57 +0200

janest-core (0.5.0-2) experimental; urgency=low

  * make the package Architecture: any
    - add debian/patches/no-bin-prot ; this patch is conditionally applied on
      architectures with no bin_prot support to relax the dependency on it
    - debian/control: set Arch:any, add build-dep on quilt
    - debian/rules: add conditional patch application
    - debian/rules: add a target to generate the no-bin-prot patch
      automatically from git branches
    - debian/README.source: explain how to refresh no-bin-prot patch
    - debian/README.Debian: explain to users that on some arch they won't get
      the legacy library
    - debian/TODO close the todo item about bin_prot dependency
  * ship .ml sources acting as module interfaces (Comparable, Hashable, ...)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 04 May 2008 21:44:07 +0200

janest-core (0.5.0-1) experimental; urgency=low

  * Initial release (Closes: #479152)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 03 May 2008 10:55:27 +0200

=== debian/control ===
Source: janest-core
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox,
 dh-ocaml,
 camlp4,
 ocaml-findlib,
 libtype-conv-camlp4-dev,
 libbin-prot-camlp4-dev (>= 1.2.10),
 libsexplib-camlp4-dev (>= 4.2.6-3),
 libres-ocaml-dev (>= 3.1.1),
 libfields-camlp4-dev,
 libpcre-ocaml-dev,
 libounit-ocaml-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/janest-core.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/janest-core.git
Homepage: http://www.janestcapital.com/ocaml/

Package: libcore-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libcore-ocaml-doc
Provides: ${ocaml:Provides}
Description: Jane Street's standard library for OCaml
 Core is an alternative to the OCaml standard library developed by
 Jane Street Capital.
 .
 Core does a number of things:
 .
  * provides tail recursive versions of non tail recursive functions in
    the standard library;
  * changes the signature of many of the standard modules to enforce
    consistent naming conventions;
  * includes generic serialization for most types;
  * adds some new modules as well as new functionality to existing
    modules.
 .
 Beware that Core extends some functionality of the legacy standard
 library, and outright changes or replaces other; backward compatibility
 with the legacy standard library has not to be expected.
 .
 The code of Core is routinely reviewed within Jane Street Capital
 according to their quality assurance requirements.
 .
 This package contains the development stuff you need to use Core in
 your programs.

Package: libcore-ocaml
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Jane Street's standard library for OCaml (runtime)
 Core is an alternative to the OCaml standard library developed by
 Jane Street Capital.
 .
 Core does a number of things:
 .
  * provides tail recursive versions of non tail recursive functions in
    the standard library;
  * changes the signature of many of the standard modules to enforce
    consistent naming conventions;
  * includes generic serialization for most types;
  * adds some new modules as well as new functionality to existing
    modules.
 .
 Beware that Core extends some functionality of the legacy standard
 library, and outright changes or replaces other; backward compatibility
 .
 The code of Core is routinely reviewed within Jane Street Capital
 according to their quality assurance requirements.
 .
 This package contains the runtime stuff you need to run programs using
 Core.

Package: libcore-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 libcore-ocaml-dev,
 ${misc:Depends}
Description: Jane Street's standard library for OCaml - documentation
 Core is an alternative to the OCaml standard library developed by
 Jane Street Capital.
 .
 Core does a number of things:
 .
  * provides tail recursive versions of non tail recursive functions in
    the standard library;
  * changes the signature of many of the standard modules to enforce
    consistent naming conventions;
  * includes generic serialization for most types;
  * adds some new modules as well as new functionality to existing
    modules.
 .
 Beware that Core extends some functionality of the legacy standard
 library, and outright changes or replaces other; backward compatibility
 .
 The code of Core is routinely reviewed within Jane Street Capital
 according to their quality assurance requirements.
 .
 This package contains the ocamldoc API reference in HTML format for
 Core.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libcore-ocaml-doc/html/api

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)$(OCAML_DLL_DIR)'
	ocaml setup.ml -install
	rm -f '$(DESTDIR)$(OCAML_DLL_DIR)'/*.so.owner

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://ocaml.janestreet.com/?q=node/13 .*/core-(.*)\.t(?:ar\.)gz

## janest-core 113.00.00

=== debian/changelog ===
janest-core (113.00.00-4) unstable; urgency=medium

  * Add more dependencies from META to libcore-ocaml-dev

 -- Hilko Bengen <bengen@debian.org>  Thu, 04 Feb 2016 18:42:37 +0100

janest-core (113.00.00-3) unstable; urgency=medium

  * Merge libcore-ocaml-doc into libcore-ocaml-dev
  * Fix stupid typo in manual Depends

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Feb 2016 22:50:00 +0100

janest-core (113.00.00-2) unstable; urgency=medium

  * Update VCS-* fields to new scheme
  * libcore-ocaml-dev: Add missing dependencies that were not picked up by
    dh_ocaml (Closes: #813439, #813463)
  * Fix documentation package

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Feb 2016 22:46:32 +0100

janest-core (113.00.00-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add bc to Build-Depends (thanks to Thorsten Glaser)

  [ Hilko Bengen ]
  * New upstream version (Closes: #754303)... which builds with OCaml
    version 4 and greater (Closes: #731817), can be installed on unstable
    (Closes: #743155)
  * Update watch file (point to github), copyright, control (add myself to
    Uploaders, bump Standards-Version, update Homepage,
    build-dependencies, descriptions)
  * Generate API documentation using dh_ocamldoc(1)

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Jan 2016 23:33:54 +0100

=== debian/control ===
Source: janest-core
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 8),
 bc,
 ocaml-nox,
 dh-ocaml,
 camlp4,
 ocaml-findlib,
 libbin-prot-camlp4-dev,
 libcompare-camlp4-dev,
 libcore-kernel-ocaml-dev,
 libcustom-printf-camlp4-dev,
 libenumerate-camlp4-dev,
 libfields-camlp4-dev,
 libhere-camlp4-dev,
 libounit-ocaml-dev,
 libpa-bench-camlp4-dev,
 libpa-ounit-camlp4-dev,
 libpa-structural-sexp-camlp4-dev,
 libpa-test-camlp4-dev,
 libpipebang-camlp4-dev,
 libsexplib-camlp4-dev,
 libtyperep-camlp4-dev,
 libvariants-camlp4-dev,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/janest-core.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/janest-core.git
Homepage: http://janestreet.github.io/

Package: libcore-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libbin-prot-camlp4-dev,
 libcompare-camlp4-dev,
 libcustom-printf-camlp4-dev,
 libenumerate-camlp4-dev,
 libfields-camlp4-dev,
 libhere-camlp4-dev,
 libpa-bench-camlp4-dev,
 libpa-ounit-camlp4-dev,
 libpa-structural-sexp-camlp4-dev,
 libpa-test-camlp4-dev,
 libpipebang-camlp4-dev,
 libsexplib-camlp4-dev,
 libtyperep-camlp4-dev,
 libvariants-camlp4-dev,
Provides: ${ocaml:Provides}
Breaks: libcore-ocaml-doc (<< 113.00.00-3~)
Replaces: libcore-ocaml-doc (<< 113.00.00-3~)
Description: Jane Street's standard library for OCaml
 Core is an industrial-strength alternative to the OCaml standard
 library. It was developed by Jane Street, which is the largest
 industrial user of OCaml.
 .
 This package contains the development stuff you need to use Core in
 your programs.

Package: libcore-ocaml
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Jane Street's standard library for OCaml (runtime)
 Core is an industrial-strength alternative to the OCaml standard
 library. It was developed by Jane Street, which is the largest
 industrial user of OCaml.
 .
 This package contains the runtime stuff you need to run programs using
 Core.

=== debian/watch ===
version=3

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/janestreet/core/releases .*/(.*)\.tar\.gz
